/* ManagerController */

#import <Cocoa/Cocoa.h>
#import "ManagerModel.h"

@interface ManagerController : NSObject
{
    IBOutlet NSButton *LaunchManagerOutlet;
    IBOutlet ManagerModel *ModelOutlet;
    IBOutlet NSPopUpButton *ProtocolMenuOutlet;
    IBOutlet NSButton *ShowMenuOutlet;
    IBOutlet NSTextField *StatusLabelOutlet;
	IBOutlet NSMenu *theMenu;
	
	// Additions
	NSMutableArray *anArray;
	NSTimer *mainTimer;
	NSImage *menuIcon;
	NSStatusItem *statusItem;
	
	bool	isTerminating;
	NSImage *stdIcon;
	NSImage *activeIcon;
	NSDate  *aDate;
}

- (IBAction)LaunchTranzPortAction:(id)sender;
- (IBAction)ShowTranzPortAction:(id)sender;
- (IBAction)TranzPortMenuActionManager:(id)sender;
- (IBAction)TranzPortMenuAction0:(id)sender;
- (IBAction)TranzPortMenuAction1:(id)sender;
- (IBAction)TranzPortMenuAction2:(id)sender;
- (IBAction)TranzPortMenuAction3:(id)sender;
- (IBAction)TranzPortMenuAction4:(id)sender;
- (IBAction)TranzPortMenuAction5:(id)sender;
- (IBAction)TranzPortProtocolAction:(id)sender;

// Additions
-(void)installMenu;
-(void)removeMenu;
-(void)timer:(NSTimer *)timer;
-(void)update;
-(void)handleButtonNotification;
@end
